Bug 21315 - Unable to link Fortran executables: __builtin_isfinite is undefined
Summary: Unable to link Fortran executables: __builtin_isfinite is undefined
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 4.0.0
: P2 normal
Target Milestone: 4.0.1
Assignee: Eric Botcazou
URL:
Keywords:
Depends on: 19933
Blocks: 15235
  Show dependency treegraph
 
Reported: 2005-05-01 09:45 UTC by Eric Botcazou
Modified: 2005-06-05 23:43 UTC (History)
1 user (show)

See Also:
Host: sparc-sun-solaris2.10
Target: sparc-sun-solaris2.10
Build: sparc-sun-solaris2.10
Known to work:
Known to fail:
Last reconfirmed: 2005-05-01 12:04:47


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Botcazou 2005-05-01 09:45:51 UTC
The typical error message is:

Executing on host: /opt/build/eric/gcc-4_0-branch/gcc/testsuite/../gfortran
-B/opt/build/eric/gcc-4_0-branch/gcc/testsuite/../
/home/eric/cvs/gcc-4_0-branch/gcc/testsuite/gfortran.dg/blockdata_1.f90   -Os  
-pedantic-errors 
-L/opt/build/eric/gcc-4_0-branch/sparc-sun-solaris2.10/./libgfortran/.libs
-L/opt/build/eric/gcc-4_0-branch/sparc-sun-solaris2.10/./libiberty  -lm   -o
./blockdata_1.exe    (timeout = 300)
Undefined                       first referenced
 symbol                             in file
__builtin_isfinite                 
/opt/build/eric/gcc-4_0-branch/sparc-sun-solaris2.10/./libgfortran/.libs/libgfortran.so
ld: fatal: Symbol referencing errors. No output written to ./blockdata_1.exe
collect2: ld returned 1 exit status
Comment 1 Eric Botcazou 2005-05-01 12:04:46 UTC
Investigating.
Comment 2 Eric Botcazou 2005-05-01 12:12:43 UTC
Basically same problem as PR target/19933.
Comment 3 CVS Commits 2005-05-19 07:06:02 UTC
Subject: Bug 21315

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	ebotcazou@gcc.gnu.org	2005-05-19 07:05:46

Modified files:
	gcc/testsuite  : ChangeLog 
	fixincludes    : ChangeLog fixincl.x inclhack.def 
Added files:
	gcc/testsuite/gcc.dg: c99-math-double-1.c c99-math-float-1.c 
	                      c99-math.h c99-math-long-double-1.c 
	fixincludes/tests/base/iso: math_c99.h 

Log message:
	fixincludes/
	PR target/19933
	PR target/21315
	* inclhack.def: New fixes solaris_math_[1-9].
	* fixincl.x: Regenerate.
	* tests/base/iso/math_c99.h: New.
	
	gcc/testsuite/
	* gcc.dg/c99-math.h: New
	* gcc.dg/c99-math-float-1.c: New test.
	* gcc.dg/c99-math-double-1.c: Likewise.
	* gcc.dg/c99-math-long-double-1.c: Likewise.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&r1=1.5495&r2=1.5496
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/c99-math-double-1.c.diff?cvsroot=gcc&r1=NONE&r2=1.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/c99-math-float-1.c.diff?cvsroot=gcc&r1=NONE&r2=1.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/c99-math.h.diff?cvsroot=gcc&r1=NONE&r2=1.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/c99-math-long-double-1.c.diff?cvsroot=gcc&r1=NONE&r2=1.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/fixincludes/ChangeLog.diff?cvsroot=gcc&r1=1.41&r2=1.42
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/fixincludes/fixincl.x.diff?cvsroot=gcc&r1=1.20&r2=1.21
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/fixincludes/inclhack.def.diff?cvsroot=gcc&r1=1.20&r2=1.21
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/fixincludes/tests/base/iso/math_c99.h.diff?cvsroot=gcc&r1=NONE&r2=1.1

Comment 4 CVS Commits 2005-05-19 07:11:43 UTC
Subject: Bug 21315

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-4_0-branch
Changes by:	ebotcazou@gcc.gnu.org	2005-05-19 07:11:26

Modified files:
	gcc/testsuite  : ChangeLog 
	fixincludes    : ChangeLog fixincl.x inclhack.def 
Added files:
	gcc/testsuite/gcc.dg: c99-math-double-1.c c99-math-float-1.c 
	                      c99-math.h c99-math-long-double-1.c 
	fixincludes/tests/base/iso: math_c99.h 

Log message:
	fixincludes/
	PR target/19933
	PR target/21315
	* inclhack.def: New fixes solaris_math_[1-9].
	* fixincl.x: Regenerate.
	* tests/base/iso/math_c99.h: New.
	
	gcc/testsuite/
	* gcc.dg/c99-math.h: New
	* gcc.dg/c99-math-float-1.c: New test.
	* gcc.dg/c99-math-double-1.c: Likewise.
	* gcc.dg/c99-math-long-double-1.c: Likewise.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.5084.2.186&r2=1.5084.2.187
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/c99-math-double-1.c.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=NONE&r2=1.1.2.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/c99-math-float-1.c.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=NONE&r2=1.1.2.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/c99-math.h.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=NONE&r2=1.1.2.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/gcc.dg/c99-math-long-double-1.c.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=NONE&r2=1.1.2.1
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/fixincludes/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.32.2.5&r2=1.32.2.6
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/fixincludes/fixincl.x.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.16.14.3&r2=1.16.14.4
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/fixincludes/inclhack.def.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.16.14.3&r2=1.16.14.4
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/fixincludes/tests/base/iso/math_c99.h.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=NONE&r2=1.1.2.1

Comment 5 Eric Botcazou 2005-05-19 07:14:11 UTC
See http://gcc.gnu.org/ml/gcc-patches/2005-05/msg01119.html